Skip to main content
Astra Automation
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

修改证书

PUT /accounts/{account_id}/core/v1/certificates/{certificate_id}

用提供的 JSON 请求正文替换整个存储资源。

副作用

  • 更新的 CA 证书将在信任存储中更新。

  • 如果现有的受信任 CA 证书变得不受信任,则它将从信任存储中删除。

  • 如果更新了证书正文("cert" 字段),则必须包含 "isSelfSigned" 指示器,以指示新证书的状态。如果在这种情况下不包括 "isSelfSigned" 指示器,则该值将设置为 "false"。

  • 如果更新未修改证书正文("cert" 字段),则 "isSelfSigned" 指示器是可选的,如果未提供,将保留现有值。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

certificate_id

string

path

True

要列出的证书集合的 ID

请求正文

用提供的 JSON 请求正文替换整个存储资源。

副作用

  • 更新的 CA 证书将在信任存储中更新。

  • 如果现有的受信任 CA 证书变得不受信任,则它将从信任存储中删除。

  • 如果更新了证书正文("cert" 字段),则必须包含 "isSelfSigned" 指示器,以指示新证书的状态。如果在这种情况下不包括 "isSelfSigned" 指示器,则该值将设置为 "false"。

  • 如果更新未修改证书正文("cert" 字段),则 "isSelfSigned" 指示器是可选的,如果未提供,将保留现有值。

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-certificate"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

id

string

False

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

certUse

string

False

表示证书使用情况的 JSON 字符串。如果未指定,则默认为"rootCA"。定义的值为:

  • "rootCA" - 证书是证书颁发机构 (CA) 证书,用于信任由该 CA 签名的任何证书。

  • "intermediateCA" - 证书是由根 CA 颁发的中间 CA 证书。

cert

string

False

包含 base64 编码的 PKCS-11 格式证书 (PEM) 的 JSON 字符串。定义的值是:

  • 符合 base64 编码数据架构

cn

string

False

包含从证书中提取的通用名称的 JSON 字符串。定义的值是:

  • 最小长度:1

  • 最大长度:511

expiryTimestamp

string

False

包含指示证书何时过期的时间戳的 JSON 字符串。定义的值为:

  • 符合 ISO-8601 日期时间方案

isSelfSigned

string

False

表示证书是否为自签名的 JSON 字符串。如果在创建时未提供,则该值默认为"false"。更新时:

  • 如果提供了值,则将使用该值。

  • 如果不提供该值,并且更新中包含 "cert" 字段,则该值将设置为 "false"。

  • 如果未提供该值,并且"cert"字段未包含在更新中,则将保留现有值。定义的值为:

  • "true" - 证书是自签名的。

  • "false" - 此证书不是自签名的。

trustState

string

False

包含指示证书是否受信任的一组枚举值之一的 JSON 字符串。定义的值为:

  • "untrusted" - 此证书不受信任。

  • "trusted" - 证书被标记为可信。

  • "expired" - 证书已过期,因此既不受信任也不不受信任。

trustStateTransitions

数组["type_astra_stateTransition"]

False

JSON 对象的 JSON 数组,每个表示从给定定义状态的允许状态转换集。每个 JSON 对象都包含"from"和"to"字段,其中"from"值是状态的名称,"to"值是允许的目标状态数组。

trustStateDesired

string

False

包含指示证书是否受信任的值的 JSON 字符串。如果在创建时未指定,则默认值为"trusted"。定义的值为:

  • "untrusted" - 此证书不受信任。

  • "trusted" - 证书被标记为可信。

trustStateDetails

数组["type_astra_stateDetail"]

False

列出有关证书信任状态的其他详细信息的 JSON 对象的 JSON 数组。如果没有可用的详细信息,则此数组将为空。

  • 最小项目数:0

元数据

"type_astra_metadata_update"

False

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

请求示例
{
  "type": "application/astra-certificate",
  "version": "1.1",
  "trustStateDesired": "trusted"
}

响应

Status: 204, Indicates if the certificate resource was updated.

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidFields

数组["invalidFields"]

False

无效请求正文字段列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 409, Conflict
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidFields

数组["invalidFields"]

False

无效请求正文字段列表

响应示例
{
  "type": "https://astra.netapp.io/problems/10",
  "title": "JSON resource conflict",
  "detail": "The request body JSON contains a field that conflicts with an idempotent value.",
  "status": "409"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

响应

Status: 503, Service unavailable
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/41",
  "title": "Service not ready",
  "detail": "Currently, the service can't respond to this request.",
  "status": "503"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

type_astra_stateTransition

名称 Type Required Description

string

True

to

数组[string]

True

additionalDetails

type_astra_stateDetail

名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

additionalDetails

"additionalDetails"

False

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因

invalidFields

名称 Type Required Description

name

string

True

无效请求正文字段的名称

原因

string

True

请求正文字段无效的原因